Fix importing issues due to using the wrong tmp directory

2020-02-23 17:05 - Gregor Borsemirk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The debian package ships redmine in /usr/share/redmine and sets up

instances in /var/lib/redmine.

Without this change the issue importer attempts to create a directory in

the read-only /usr tree:

Completed 500 Internal Server Error

Errno::EACCES (Permission denied @ dir_s_mkdir - /usr/share/redmine/tmp):

Now it uses the intended tmp directory and issues can be imported again:

/var/lib/redmine/default/tmp/imports/350548aee641641463bc89cd6043738c

History

#1 - 2020-02-24 03:33 - Go MAEDA

- File Screenshot_2020-02-24.png added

The patch cannot be applied to the core because Redmine does not have Redmine.root method. Please see the attached screenshot.

Probably the issue is specific to Debian. I recommend you to report this issue to the Debian team.

 Screenshot_2020-02-24.png 

#2 - 2020-02-24 06:29 - Gregor Borsemirk

- Status changed from New to Resolved

Oh, indeed, it's a debian specific issue:

https://salsa.debian.org/ruby-team/redmine/blob/master/debian/patches/0004-Add-multi-tenancy-support.patch

Sorry for the noise

#3 - 2020-02-24 06:41 - Gregor Borsemirk

Reported here:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=952417

#4 - 2020-02-24 07:11 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for detecting and reporting the issue to the Debian team. I'm closing this.

Files

0001-Fix-importing-issues-due-to-using-the-wrong-tmp-dire.patch 1.23 KB 2020-02-23 Gregor Borsemirk

Screenshot_2020-02-24.png 55.6 KB 2020-02-24 Go MAEDA
